#define GRID_X_LOC 20   /* x position of grid window */
#define GRID_Y_LOC 20
#define MAXSIZE 15     /* number of squares in grid */
#define GRID_SIZE 24   /* size of each cell in grid */
struct cell            /* basic info for each grid location */
	{
	enum boolean wanted;
	int filled_by;
	};
struct play_grid      /* structure for entire grid info */
	{
	struct cell matrix[MAXSIZE][MAXSIZE];
	};
void get_grid(char *fname);               /* done */
enum boolean can_place(int mousex,int mousey);
void place_here(int mousex, int mousey);
void save_grid(char *filename);
void draw_grid(void);
void grid_init(void);
void remove_piece(int piece_number);
void update_grid(XEvent event);
void display_piece_on_grid(int piece_num);
void draw_wanted_square(int x,int y);
