#include <stdlib.h>
#include <stdio.h>
#include "transfor.h"
#include "pieces.h"
void print_point(point a)
	{
	printf("%f %f %f\n",a[0],a[1],a[2]);
	}
sphere *spherea()
	{
	sphere *new_sphere;
	new_sphere = (sphere *)(malloc(sizeof(sphere)));
	new_sphere->radius = 100.0;
	new_sphere->location[0] = 100;  /* 100 */
	new_sphere->location[1] = 0;  /*   0 */
	new_sphere->location[2] = 250;	/* 150 */
	new_sphere->colour = 0;			/* white */
	new_sphere->amb_coef =  0.1;
	new_sphere->dif_coef =  0.1;	/* 0.1 */
	new_sphere->spe_coef =  0.3;
	new_sphere->spe_expo = 50.0;	/* 50 */
	new_sphere->refr_coef=  0.9;	/* 0.9 */
	new_sphere->refl_coef=  0.3;
	new_sphere->index_refr_coef = 1.6;
	return new_sphere;
	}
sphere *sphereb()
	{
	sphere *new_sphere;
	new_sphere = (sphere *)(malloc(sizeof(sphere)));
	new_sphere->radius = 100.0;
	new_sphere->location[0] = 200;	/* 200 */
	new_sphere->location[1] = 0;    /* 0 */
	new_sphere->location[2] = 400;  /* 400 */
	new_sphere->colour = 2;			/* white should be 1*/
	new_sphere->amb_coef =  0.3;
	new_sphere->dif_coef =  0.3;		/* 0.3 */
	new_sphere->spe_coef =  0.9;
	new_sphere->spe_expo = 50.0;
	new_sphere->refr_coef=  0.0;		/* not transparent */
	new_sphere->refl_coef=  0.6;
	new_sphere->index_refr_coef = 0.0;	/* not used */
	return new_sphere;
	}

light_source *lighta()
	{
	light_source *new_light;
	new_light = (light_source*)(malloc(sizeof(light_source)));
	new_light->intensity = 1.0 ;
	new_light->location[0] =   -10;  /* -10 */
	new_light->location[1] =   70;   /* 70 */
	new_light->location[2] =   150;	/* 150 */
	return new_light;
	}

light_source *lightb()
	{
	light_source *new_light;
	new_light = (light_source*)(malloc(sizeof(light_source)));
	new_light->intensity = 0.7;
	new_light->location[0] =  0; 	/* 100 */
	new_light->location[1] =   50;    /* 50 */
	new_light->location[2] =  -100;   /* 200 */
	return new_light;
	}