//#include <X11/Xlib.h>
//#include <X11/Xutil.h>
#include <string.h>
#include <math.h>
#include "transfor.h"
#include "main.h"
#include "window.h"
#include "z_buffer.h"
boolean handle_event(void)
	{
	extern Window windows[MAX_WINDOWS];
	extern Display *display;
	extern GC my_gc;
	XEvent event;

	while (1)
		{
		XNextEvent(display,&event); /* get next xevent in a structure */
		switch (event.type)
			{
			case Expose:  /* redraw window information */

				XDrawImageString(display,windows[z_buffer],my_gc,20,10,"Z buffer ",9);
				ray_trace();
				/* seem to get about 12 exposes in a row so
				get rid of rest of them. this has bug of next mouse click is
                                lost */
				while (event.type == Expose)
					XNextEvent(display,&event);
				printf("out here\n");			
				break;

			case ButtonPress :
				for(i=0;i<MAX_WINDOWS;i++)
					if (event.xbutton.window == windows[i])
						switch (i)
							{
							case main_win	: break;

							} /* switch */
			}/* switch */
		printf("in main loop\n");
		}/*while*/

	}

void main(void)
	{
	init_z_buffer_data();
	init_windows();
	while (!handle_event());
	}