-- File Borrower.e
-- The class BORROWER is a description of a borrower with id number
deferred class BORROWER

inherit
	PRINTABLE -- display
	rename
		is_equal as printable_is_equal
	redefine
		display,
		make
	end -- inherit PRINTABLE
	ANY
		redefine
			is_equal
		select
			is_equal
	end -- inherit ANY

feature
	id : STRING
	cash_donated : INTEGER
	name : STRING
	address : STRING
	books_can_borrow : INTEGER
	book_list : CATALOGUE   

-----------------------------------------------------------------------------

	make is
		do
			!!io
			io.put_string("Enter the identifier of the borrower: ")
			io.get_string
			id := io.last_string
			!!book_list.make
	end -- make

-----------------------------------------------------------------------------
	save(tf : TEXTFILE) is
		do
			-- need to write a # for borrower
			-- and need to write a c,a,d for child, adult, donor.
			-- make writestring a concat of the borrower fields with ~ to separate them ??
			tf.insert(writestring,tf.count)
			book_list.save(tf)
	end -- save
-----------------------------------------------------------------------------
	load(tf : TEXTFILE) is
		local
			readstring : STRING
			index : INTEGER
		do
		-- read a line of text.
		-- if borrower then determine if child,adult,donor
			-- create child,adult,donor
		--else
			--create booklist
	end -- load

-----------------------------------------------------------------------------

-- Gets the details of the borrower ie Name and Address
	get_detail is
		do
			io.put_string("Enter the name of the borrower: ")
			io.get_string
			name := io.last_string
			io.put_string("Enter the address of the borrower: ")
			io.get_string
			address := io.last_string
	end -- get_detail

-----------------------------------------------------------------------------

-- Displays the details of the borrower	ie Name, Address and Booklist
	display is
		do
			io.put_string("Name: ")
			io.put_string(name)
			io.put_newline
			io.put_string("Address: ")
			io.put_string(address)
			io.put_newline
			book_list.display --("Borrowed Book List:")
			io.put_string("--------------------------------")
			io.put_newline
	end -- display

-----------------------------------------------------------------------------

-- Does a comparison between 2 borrowers id number
	is_equal(other : BORROWER) : BOOLEAN is
		do
			Result:=(id.is_equal(other.id))
	end -- is_equal

-----------------------------------------------------------------------------

-- This sets up the polymorphism for child, adult, donor borrowing function
	can_borrow:BOOLEAN is
		deferred
	end -- can_borrow

-----------------------------------------------------------------------------

end --BORROWER
